Beta

Create a private Person

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/people

Create a Person in the selected Workspace from a name, optionally recording a works-at Business relationship. The relationship requires Business access and grants no new access.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Header Parameters

Idempotency-Key*string
Length8 <= length <= 200
SMB-Workspace-Id*string
Formatuuid

Request Body

application/json
  1. body
display_name*string
Length1 <= length <= 500
business_id?SmbV0OperationsSetWorkspaceFieldValueRequestBusinessId
Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

The existing resource or idempotent replay was returned.

application/json
  1. response
data*
request_id*string
action_receipt*
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
curl -X POST 'https://example.com/v1/people' \  -H 'Idempotency-Key: stringst' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "display_name": "string"}'
{  "data": {    "id": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",    "display_name": "string",    "version": -9007199254740991  },  "request_id": "string",  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "person.create",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true}